Home > News > Module > OpenID Module

OpenID Module

11
nat
nat submitted 2008/2/10 22:26, published 2008/2/12 10:39 | 31801 views
Tags: , , , , , , , , , ,
http%3A%2F%2Fwww.sakimura.org%2Fen%2F

OpenID Module enables users to login to Xoops and Xoopscube sites with their OpenID.

Once successfully authenticated to an OpenID Provider such as Yahoo!, AOL etc., users are asked whether s/he has an existing account at the site to link the OpenID to that account or create a new one.

Supports OpenID 2.0 and thus, XRDS, XRI, etc. Also, it supports sreg so if the OpenID Provider supports it, it can populate the Xoops users table as well.

Tested against Yahoo!, Linksafe, 2idi.

OpenID RP Module for Xoops JP. 
==============================
Author: Nat Sakimura (=nat)
Date: 2008-02-10
Copyright: Nat Sakimura (=nat)
License: GPL
Version: 0.2
PHP OpenID Library: php-openid-2.0.0

DOWNLOAD
========

http://www.sakimura.org/modules/mydownloads/visit.php?cid=1&lid=8

INSTALL
=======

1. Unarchive the files under modules/ directory. 
2. Define XOOPS_TRUST_PATH somewhere out of the web accessible path 
   in mainfile.php
3. Create a foloder "_php_consumer" under XOOPS_TRUST_PATH and 
   change the permission so that it will be writable by the web server. 
4. Install the module like other modules. 
   (For XoopsCube, install the block as well.)
5. Give access permission to guest group for this module. 
6. Install block for all the modules. 

TODOs
=====

1. Create Admin Panel for easy maintenance of the OpenIDs. 
2. Make 5 and 6 above automagic. 
3. Clean up the code
4. Replace Dummy Admin screens to real ones. 
5. Test on PHP 4.x. It has been only tested on PHP 5.2
? Let me know if someone try on 4.x. 
6. Make sreg parameters specifiable through admin screen. 
7. sreg policy. 
8. PAPE

Comments (3)

Newest first | Oldest first | Nested view | RSS feed
Re: OpenID Module 
plusangel posted 2008/2/12 17:27
plusangel

Great Idea :)

Bravo nat

Re: OpenID Module 
gigamaster posted 2008/2/13 0:48
gigamaster

Wow, many improvements since the first test ^^

Thank you Nat,

Have Fun !

:-)

Re: OpenID Module 
nat posted 2008/3/1 11:36
nat

Potential SQL injection vulnerability was found. Please upgrade to version 0.22.

Downloads

Full Package

Patch 0.2 to 0.22

    Trackbacks (0)

    Newest first | Oldest first | RSS feed

    Welcome | News | Overview | Documentation | Forum | Tutorialstop
    Brasilian | French | German | Greek | Japanese | Korean | Russian | T-Chinese
    Powered by XOOPS Cube 2001-2011 The XOOPS Cube Project